Subject: bug#16594: 24.3.50; very slow redraw when resizing windows horizontally

From: Darren Hoo <[email-masked]>
Date: Sat, 01 Feb 2014 04:56:55 +0800

Paul, could you kindly take a look at this(Bug#16594)?

After some digging, I finally find out that this is regression
introduced by this commit:

 revno: 110152
 fixes bug: http://debbugs.gnu.org/12471
 committer: Paul Eggert <[email-masked]>
 branch nick: trunk
 timestamp: Sun 2012-09-23 01:44:20 -0700
 message:
   Simplify and avoid signal-handling races.

not the immediate preceding one (seems to me much more probable)

 revno: 110151
 fixes bug: http://debbugs.gnu.org/12445
 committer: Jan D. <[email-masked]>
 branch nick: trunk
 timestamp: Sun 2012-09-23 10:28:12 +0200
 message:
   * nsterm.m (ns_dumpglyphs_image): dr is a new rect to draw image into,
   background rect may be larger.

Yes, I double checked 110151 and it behaves well.

BTW I can only reproduce it on Mac OSX, so it maybe platform specific.